Bug 809204 - (US18239) Make RHN tabs similar to User managerment
Make RHN tabs similar to User managerment
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhnPHNX1.5
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jonathon Turel
Sai Haritha Dandala
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-02 14:13 EDT by Sai Haritha Dandala
Modified: 2013-08-05 20:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 14:14:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sai Haritha Dandala 2012-04-02 14:13:54 EDT
Description of problem: Make RHN tabs similar to User managerment


Goals :-

1) remove left side navigation.
2) remove preferences tab.
3) Re chrome RHN tabs to look like User management tabs
4) Include User Management tabs ( general , login , access permissions, user preferences).


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jonathon Turel 2012-04-13 17:20:47 EDT
This also required a small patch to UGC in order to provide the login name (not id) in the URL when moving to RHN.

http://genome-am.devlab.phx1.redhat.com/cgit/sd/web/code/commit/?id=105fb9db32751014aa399c5be5f11aef0024c888

http://git.corp.redhat.com/cgit/rhn/rhn/commit/?id=bc83bb8e2101792831c677b81f65f38c64d48bb6

Ready for testing.
Comment 2 Sai Haritha Dandala 2012-05-02 14:05:14 EDT
Jonathan - Getting 'User not Found' when clicked on 'User Preferences' tab from 'Channel Permissions'. This happens in QA when I login as rhn-it-hdandala.
Comment 3 Sai Haritha Dandala 2012-05-17 13:45:03 EDT
Verified in QA
Comment 4 Sai Haritha Dandala 2012-06-11 14:14:49 EDT
Pushed to Production - 06/09/12

Note You need to log in before you can comment on or make changes to this bug.